Get Job Status
curl --request GET \
--url https://api.devin.ai/beta/v2/enterprise/repositories/{org_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/beta/v2/enterprise/repositories/{org_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/beta/v2/enterprise/repositories/{org_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.devin.ai/beta/v2/enterprise/repositories/{org_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.devin.ai/beta/v2/enterprise/repositories/{org_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.devin.ai/beta/v2/enterprise/repositories/{org_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.devin.ai/beta/v2/enterprise/repositories/{org_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"indexing_enabled": true,
"latest_completed_search_index_job": {
"commit": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"job_id": "<string>",
"status": "failed"
},
"latest_completed_wiki_index_job": {
"commit": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"job_id": "<string>",
"status": "failed"
},
"latest_index": {
"commit": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"job_id": "<string>",
"status": "failed"
},
"name": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Repository Endpoints (Beta)
Get Repository Indexing Status
Retrieve the indexing status of repositories for a specific organization.
GET
/
beta
/
v2
/
enterprise
/
repositories
/
{org_id}
Get Job Status
curl --request GET \
--url https://api.devin.ai/beta/v2/enterprise/repositories/{org_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/beta/v2/enterprise/repositories/{org_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/beta/v2/enterprise/repositories/{org_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.devin.ai/beta/v2/enterprise/repositories/{org_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.devin.ai/beta/v2/enterprise/repositories/{org_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.devin.ai/beta/v2/enterprise/repositories/{org_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.devin.ai/beta/v2/enterprise/repositories/{org_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"indexing_enabled": true,
"latest_completed_search_index_job": {
"commit": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"job_id": "<string>",
"status": "failed"
},
"latest_completed_wiki_index_job": {
"commit": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"job_id": "<string>",
"status": "failed"
},
"latest_index": {
"commit": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"job_id": "<string>",
"status": "failed"
},
"name": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}This endpoint returns the current indexing status for all repositories associated with the specified organization. The response includes information about indexing jobs, commit SHAs, and timestamps for each repository.
Authorizations
Response
Successful Response

